
#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface HinaFocusHelper : NSObject

/// 埋点“App 打开推送”事件
/// @param userInfo 包含与远程通知相关的信息的字典
+ (void)trackHinaFocusAppOpenNotificationWithUserInfo:(NSDictionary *)userInfo;

/// 处理推送消息，做页面跳转
/// @param userInfo 包含与远程通知相关的信息的字典
/// @param aLink 打开 URL 的回调
/// @param aCustomized 处理自定义消息回调
+ (BOOL)dealHinaFocusAction:(NSDictionary *)userInfo
                       link:(void (^ __nullable)(NSString *urlString))aLink
                  customize:(void (^ __nullable)(NSDictionary *customizedDic))aCustomized;

@end

NS_ASSUME_NONNULL_END
